license_plate_api_czechia
====================

Sipkovy balicek pro vyhledavani technickych udaju o vozidlech registrovanych v Cechach podle SPZ

`license_plate_api_czechia` poskytuje jednoduchy zpusob, jak najit podrobnosti o vozidle z SPZ (registracni cislo)
automobilu registrovaneho v ceskem jazyce

To vyzaduje uzivatelske jmeno a heslo, ktere je k dispozici zdarma na adrese http://www.spzapi.com/

## English

A Dart package for looking up technical details on vehicles registered in czechia by their license plate

`license_plate_api_czechia` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in czechia

This requires a username and password, which is available for free from http://www.spzapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_czechia/license_plate_api_czechia.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.spzapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: VAUXHALL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.spzapi.com/
